| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IOLink.Matrix4d Class Reference

An arithmetic square matrix. More...

Inheritance diagram for IOLink.Matrix4d:

## Public Member Functions
| Matrix4d (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
| Matrix4d (params double[] init)
override bool | Equals (object obj)
| Matrix4d ()
| Default constructor. Object will have indeterminate values.
double | At (uint row, uint column)
| Access an element of the matrix.
void | SetAt (uint row, uint column, double value)
| Set an element of the matrix.
void | TransposeInPlace ()
| Transpose the matrix in place.
Matrix4d | Transpose ()
| Return the transposed matrix.
Matrix4d | Inverse ()
string | ToString ()
| Return a string representation of the matrix.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (Matrix4d obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (Matrix4d obj)
static bool | operator== (Matrix4d m1, Matrix4d m2)
static bool | operator!= (Matrix4d m1, Matrix4d m2)
static Matrix4d | operator+ (Matrix4d m1, Matrix4d m2)
static Matrix4d | operator- (Matrix4d m1, Matrix4d m2)
static Matrix4d | operator* (Matrix4d v, double value)
static Matrix4d | operator* (double value, Matrix4d v)
static Matrix4d | operator* (Matrix4d lhs, Matrix4d rhs)
static Vector4d | operator* (Matrix4d lhs, Vector4d rhs)
static Matrix4d | operator/ (Matrix4d v, double value)
static Matrix4d | Identity ()
| Return an identity matrix.
static Matrix4d | Uniform (double value)
| Initialize an uniform matrix with an unique value.

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

An arithmetic square matrix.

Do not use this class directly, only uses its aliases.

## Member Function Documentation

## ◆ At()

double IOLink.Matrix4d.At | ( | uint | row,
|  | uint | column
| ) |  |
| inline

Access an element of the matrix.

Parameters

  column | The column of the element
  row | The row of the element

## ◆ Inverse()

Matrix4d IOLink.Matrix4d.Inverse | ( |  | ) |
| inline

Return the inverse matrix.

Calling this method on a non-invertable matrix will cause undefined behaviour.

## ◆ SetAt()

void IOLink.Matrix4d.SetAt | ( | uint | row,
|  | uint | column,
|  | double | value
| ) |  |
| inline

Set an element of the matrix.

Parameters

  column | The column of the element
  row | The row of the element
  value | The value to assign to the element

## ◆ Uniform()

static Matrix4d IOLink.Matrix4d.Uniform | ( | double | value | ) |
| inline static

Initialize an uniform matrix with an unique value.

Parameters

  value | The value to assign to each element of the matrix

The documentation for this class was generated from the following file:

- Release/net/generated/Matrix4d.cs